# Random web tools
This project provides a collection of useful online tools for developers and anyone who needs to perform quick tasks.

## Requirements
* Node.js (v16 or higher)
* Bun

## Installation
```bash
git clone https://gitea.stuzer.link/stuzer05/random-web-tools.git
cd random-web-tools
bun install
```

## Running the Project
```bash
bun run dev
```

## Tool List
* **General:**
    * Explain crontab
    * Table to Markdown table
    * Table to Mediawiki table
    * Dummy image generator
    * humans.txt generator
    * File base64 encode/decode
    * QR code generator
    * Unix timestamp converter
    * Sed generator
    * .htaccess generator
* **Strings:**
    * Fix ru-en keyboard
    * String length
    * Sort lines
    * Convert to lower/upper case
    * Remove duplicate lines
    * Pad string
    * Numeronym (i18n)
    * Convert to NATO alphabet
    * URL encode/decode
    * URL query viewer
* **PHP:**
    * String to PHP array
    * PHP array to JSON
    * PHP serialize
* **Docker:**
    * Rename volume
* **GO:**
    * JSON to Go struct
    * SQL tables to Go struct
* **JSON:**
    * JSON minifier
    * JSON formatter
* **SQL:**
    * SQL formatter
    * SQL split IN